Skip to content

Search for internal articles

Request

You can search for internal articles by making a GET request to https://api.intercom.io/internal_articles/search.

Security
bearerAuth
Query
folder_idstring

The ID of the folder to search in.

Example:folder_id=123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X GET \
  'https://api.intercom.io/internal_articles/search?folder_id=123' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

Search successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"
total_countinteger

The total number of Internal Articles matching the search query

Example:5
dataobject

An object containing the results of the search.

pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
{ "type": "list", "total_count": 1, "data": { "internal_articles": [] }, "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }